### Method

# Foundry GitCommitBuilder unstage_lines

since: 1.1

#### Declaration [src]

    DexFuture*
    foundry_git_commit_builder_unstage_lines (
      FoundryGitCommitBuilder* self,
      GFile* file,
      GListModel* lines
    )

#### Description [src]

Unstages the selected lines from the file.

Available since: 1.1

#### Parameters

`file`

  Type: `GFile`

  A `GFile` in the working tree.

  The data is owned by the caller of the method.

`lines`

  Type: `GObject`

  A `GListModel` of `FoundryGitDiffLine`.

  The data is owned by the caller of the method.

#### Return value

Type: `DexFuture`

A `DexFuture` that resolves to any value or rejects with error.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.